Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007333OCamlocamldocpublic2016-08-24 01:472016-08-31 22:36
Reportergerd 
Assigned Togasche 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.3 
Target VersionFixed in Version4.05.0 +dev/beta1/beta2/beta3/rc1 
Summary0007333: There is no way to set the whole-module comment for a text
DescriptionImagine ocamldoc is called with a text file (.txt, or -text file). The file appears in the generated global overview of the modules documented, but the description remains empty. For normal mli files, the whole-module comment is simply the first sentence. The suggestion is to also use the first sentence of text files as whole-module comment.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016238)
octachron (developer)
2016-08-28 22:24

Using the first sentence as a short description/global module comment for text
files sounds like a good compromise. Moreover, the implementation seems quite short, cf. https://github.com/ocaml/ocaml/pull/784. [^]
(0016257)
gasche (developer)
2016-08-31 22:36
edited on: 2016-08-31 22:37

The proposed PR has been merged in trunk -- will not be part of the 4.04 release, but of the upcoming one. Thanks!


- Issue History
Date Modified Username Field Change
2016-08-24 01:47 gerd New Issue
2016-08-28 22:24 octachron Note Added: 0016238
2016-08-31 10:44 gasche Status new => acknowledged
2016-08-31 22:36 gasche Note Added: 0016257
2016-08-31 22:36 gasche Status acknowledged => resolved
2016-08-31 22:36 gasche Fixed in Version => 4.05.0 +dev/beta1/beta2/beta3/rc1
2016-08-31 22:36 gasche Resolution open => fixed
2016-08-31 22:36 gasche Assigned To => gasche
2016-08-31 22:37 gasche Note Edited: 0016257 View Revisions
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker